# Return single app's info from dynamicui.conf

This function retrieves an application's information from the dynamicui.conf file.

Endpoint: GET /Branding/get_application_information
Version: 11.136.0.19
Security: BasicAuth

## Query parameters:

  - `app_key` (string, required)
    The application's feature name. This value must match a feature's app_key value. For a list of app_key values, read our Guide to cPanel Interface Customization - Appkeys documentation.
    Example: "boxtrapper"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_application_information"

  - `module` (string)
    The name of the module called.
    Example: "Branding"

  - `result` (object)

  - `result.data` (object)

  - `result.data.feature` (string)
    The application's feature name. The app_key parameter's value.
    Example: "boxtrapper"

  - `result.data.file` (string)
    The application's icon's filename.
    Example: "boxtrapper"

  - `result.data.group` (string)
    The application's group.
    Example: "mail"

  - `result.data.height` (integer)
    The application's icon's height, in pixels.
    Example: 32

  - `result.data.if` (string)
    Conditional arguments that determine whether to display the item, if any exist. Conditional arguments that determine whether to display the item. For example, $isreseller indicates that the item only displays for reseller accounts. For more information, read our Guide to cPanel Variables documentation.
    Example: "$hasboxtrapper"

  - `result.data.imgtype` (string)
    The item's image type.
 icon is the only possible value.
    Enum: "icon"

  - `result.data.itemdesc` (string)
    The application's display name.
    Example: "BoxTrapper"

  - `result.data.itemorder` (integer)
    The application's order in the dynamicui.conf file representing the application's display order in cPanel's Home interface. For example, the first item on the cPanel Home interface has an itemorder value of 1.
    Example: 3

  - `result.data.module` (string)
    The application's module. A valid module name.
    Example: "BoxTrapper"

  - `result.data.searchtext` (string)
    One or more search terms. The application's icon will display when users enter these search terms in the Quick Find text box. A space-separated list of search terms.
    Example: "boxtrapper"

  - `result.data.subtype` (string)
    The item's subtype.
 img is the only possible value .
    Enum: "img"

  - `result.data.type` (string)
    The application's type.
 image is the only possible value.
    Enum: "image"

  - `result.data.url` (string)
    The location to which the application's icon links. A valid filepath or URL.
    Example: "mail/boxtrapper.html"

  - `result.data.width` (integer)
    The application's icon's width representing an image width, in pixels.
    Example: 35

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    - 1 - Success.
- 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


